<?php
/**
 * @var $data array
 */

use auctionforge\inc\model\Auction;
use auctionforge\inc\helpers\SettingsHelper;

$auction = $data['auction'];
$showAppNotification = SettingsHelper::getOption('show_app_notification', 'off');
$isShop = false;
if ($auction instanceof WP_Term) {
    $isShop = Auction::isAuctionShop($auction->term_id);
}

if (!$isShop && $showAppNotification === 'on') { ?>
<div id="auctionNoticeInfo" class="bp-content bp-mb-10 bp-justify-between bp-row bp-no-margin bp-add-padding">
    <div class="bp-d-flex bp-flex-gap-4">
        <input id="auctionAlertEnabled" type="checkbox">
        <label for="auctionAlertEnabled"><?= __("Send me an app notification on auction start", "auctionforge") ?></label>
    </div>
</div>
<?php } ?>
